Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.core.v3
Class SenderType

    java.lang.Object
      be.fgov.ehealth.commons.core.v1.IdentifierType
          be.fgov.ehealth.ehbox.core.v3.SenderType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-06-27T08:08:52+02:00",
               comments="JAXB RI v2.2.11")
    public class SenderType

extends IdentifierType
implements Serializable

The sender of a message

Java class for SenderType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SenderType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:core:v1}IdentifierType">
           <sequence>
             <element name="Quality" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Name" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="FirstName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="PersonInOrganisation" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SenderType()`

Method Summary
`String` | `getFirstName()` Gets the value of the firstName property.
`String` | `getName()` Gets the value of the name property.
`String` | `getPersonInOrganisation()` Gets the value of the personInOrganisation property.
`String` | `getQuality()` Gets the value of the quality property.
`void` | `setFirstName(String value)` Sets the value of the firstName property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setPersonInOrganisation(String value)` Sets the value of the personInOrganisation property.
`void` | `setQuality(String value)` Sets the value of the quality property.

Methods inherited from class be.fgov.ehealth.commons.core.v1.IdentifierType
`getId, getSubType, getType, setId, setSubType, setType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SenderType

    public SenderType()

Method Detail

### getQuality

    public String getQuality()

  Gets the value of the quality property.

  Returns:
    possible object is `String`

### setQuality

    public void setQuality(String value)

  Sets the value of the quality property.

  Parameters:
    `value` - allowed object is `String`

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getFirstName

    public String getFirstName()

  Gets the value of the firstName property.

  Returns:
    possible object is `String`

### setFirstName

    public void setFirstName(String value)

  Sets the value of the firstName property.

  Parameters:
    `value` - allowed object is `String`

### getPersonInOrganisation

    public String getPersonInOrganisation()

  Gets the value of the personInOrganisation property.

  Returns:
    possible object is `String`

### setPersonInOrganisation

    public void setPersonInOrganisation(String value)

  Sets the value of the personInOrganisation property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.